CVE-2013-7440

Impact:
Low
Public Date:
2013-08-12
Bugzilla:
1224999: CVE-2013-7440 python: wildcard matching rules do not follow RFC 6125
Multiple flaws were found in the way Python's SSL module performed matching of certificate names containing wildcards. A remote attacker able to obtain a valid certificate that contained certain names with wildcards could have them incorrectly accepted by Python SSL clients, not following the RFC 6125 recommendations.

Find out more about CVE-2013-7440 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue affects the versions of python27-python-pip, python-pymongo and python-virtualenv as shipped with Red Hat OpenShift 2.x and Satellite 6. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

CVSS v2 metrics

Base Score 4
Base Metrics AV:N/AC:H/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat Security Errata

Platform Errata Release Date
Red Hat Software Collections for Red Hat Enterprise Linux 7 RHSA-2016:1166 2016-05-31
Red Hat Software Collections for Red Hat Enterprise Linux 6 RHSA-2016:1166 2016-05-31

Affected Packages State

Platform Package State
Red Hat Subscription Asset Manager 1 pymongo Not affected
Red Hat Satellite 6 python-requests Not affected
Red Hat Satellite 6 python-pymongo Will not fix
Red Hat OpenShift Enterprise 2 python-virtualenv Will not fix
Red Hat OpenShift Enterprise 2 python-pymongo Will not fix
Red Hat OpenShift Enterprise 2 python27-python-pip Will not fix
Red Hat Gluster Storage 3.0 python-backports-ssl_match_hostname Not affected
Red Hat Gluster Storage 2.1 python-backports-ssl_match_hostname Will not fix
Red Hat Enterprise MRG 2 pymongo Not affected
Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7 python-pymongo Fix deferred
Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7 python-pymongo Fix deferred
Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7 python-pip Will not fix
Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) python-pymongo Fix deferred
Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) python-backports-ssl_match_hostname Not affected
Red Hat Enterprise Linux OpenStack Platform 4.0 python-pymongo Will not fix
Red Hat Enterprise Linux OpenStack Platform 4.0 python-backports-ssl_match_hostname Will not fix
Red Hat Enterprise Linux 7 python-backports-ssl_match_hostname Not affected
Red Hat Enterprise Linux 7 python-virtualenv Fix deferred
Red Hat Enterprise Linux 7 bzr Fix deferred
Red Hat Enterprise Linux 7 python Not affected
Red Hat Enterprise Linux 7 python-setuptools Not affected
Red Hat Enterprise Linux 6 python-setuptools Not affected
Red Hat Enterprise Linux 6 bzr Not affected
Red Hat Enterprise Linux 6 python-backports-ssl_match_hostname Not affected
Red Hat Enterprise Linux 6 python Not affected
Red Hat Enterprise Linux 5 python-setuptools Not affected
Red Hat Enterprise Linux 5 python Not affected
Red Hat Ceph Storage 1.2 python-backports-ssl_match_hostname Not affected
Red Hat Ceph Storage 1.1 python-backports-ssl_match_hostname Not affected
Unless explicitly stated as not affected, all previous versions of packages in any minor update stream of a product listed here should be assumed vulnerable, although may not have been subject to full analysis.
Last Modified